#ifndef DATA_COOLANTTEMPERATURE_H
#define DATA_COOLANTTEMPERATURE_H


#include "TYW_stdint.h"

extern void Coolant_KL30_Init(void);
extern void Coolant_KL15_ON_Init(void);
extern void Coolant_KL15_OFF_Init(void);
extern void Coolant_Wakeup_Init(void);
extern void Coolant_Sleep_Init(void);
extern void Coolant_Processing_Service(void);

extern uint8_t Coolant_Get_ActualValue(void);

extern uint8_t Coolant_Get_Valid(void);
extern uint8_t Coolant_Get_CurSeg(void);

extern uint8_t Coolant_Temp_Filter(uint8_t ObjSeg, uint8_t Valid);


#endif
